## org.apache.lucene.search
Interface FieldCache.DoubleParser

All Superinterfaces:
  FieldCache.Parser, Serializable

Enclosing interface:
  FieldCache

    public static interface FieldCache.DoubleParser

extends FieldCache.Parser

Interface to parse doubles from document fields.

See Also:
  `FieldCache.getDoubles(IndexReader, String, FieldCache.DoubleParser)`

Method Summary
`double` `parseDouble(String string)` Return an long representation of this field's value.

Method Detail

### parseDouble

    double parseDouble(String string)

  Return an long representation of this field's value.